Groups
Groups: 5 operations of the ChaosDesk REST API.
- GET
/api/groupsRetrieves the collection of Group resources. - POST
/api/groupsCreates a Group resource. - GET
/api/groups/{id}Retrieves a Group resource. - PATCH
/api/groups/{id}Updates the Group resource. - DELETE
/api/groups/{id}Removes the Group resource.
Retrieves the collection of Group resources.
Responses
200Group collection403Forbidden
Example request
curl -X GET "https://yourcompany.chaosdesk.io/api/groups" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json" Creates a Group resource.
Request body application/json
namestringrequireddescriptionstring | nullis_defaultbooleanis_privateboolean- Private group (Zendesk): its tickets are visible only to members, admins included.
membersstring (iri-reference)[]
Responses
201Group resource created400Invalid input403Forbidden422An error occurred
Example request
curl -X POST "https://yourcompany.chaosdesk.io/api/groups" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{"name":"string"}' Retrieves a Group resource.
Parameters
idstringpathrequired- Group identifier
Responses
200Group resource403Forbidden404Not found
Example request
curl -X GET "https://yourcompany.chaosdesk.io/api/groups/{id}" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json" Updates the Group resource.
Parameters
idstringpathrequired- Group identifier
Request body application/merge-patch+json
namestringdescriptionstring | nullis_defaultbooleanis_privateboolean- Private group (Zendesk): its tickets are visible only to members, admins included.
membersstring (iri-reference)[]
Responses
200Group resource updated400Invalid input403Forbidden404Not found422An error occurred
Example request
curl -X PATCH "https://yourcompany.chaosdesk.io/api/groups/{id}" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/merge-patch+json" \
-d '{"name":"string","description":"string"}' Removes the Group resource.
Parameters
idstringpathrequired- Group identifier
Responses
204Group resource deleted403Forbidden404Not found
Example request
curl -X DELETE "https://yourcompany.chaosdesk.io/api/groups/{id}" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json"